Returns the ReadPreference's "hedge" option

- « MongoDB\Driver\ReadPreference::__construct

- MongoDB\Driver\ReadPreference::getMaxStalenessSeconds »

- PHP Manual
- MongoDB\Driver\ReadPreference
- Returns the ReadPreference's "hedge" option

# MongoDB\Driver\ReadPreference::getHedge

(mongodb >=1.8.0)

MongoDB\Driver\ReadPreference::getHedge — Returns the ReadPreference's "hedge" option

### Description

final public MongoDB\Driver\ReadPreference::getHedge(): ?object

### Parameters

This function has no parameters.

### Return Values

Returns the ReadPreference's "hedge" option.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- » Read Preference reference